Bug 104419 - php SEGV if enabled on reload
php SEGV if enabled on reload
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: 101028
  Show dependency treegraph
 
Reported: 2003-09-15 09:02 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 10:00:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-09-15 09:02:18 EDT
Description:
PHP segfaults if loaded only on a reload.

php-4.3.2-8.ent
httpd-2.0.46-20.ent

Steps to Reproduce:
# cd /etc/httpd/conf.d
# mv php.conf php.conf.off
# service httpd start
# mv php.conf.off php.conf
# service httpd reload
# GET http://localhost/whatever.php

Actual results:
server SEGV

Expected results:
No segfault

Workaround:
Use
# service httpd restart
Comment 1 Oliver Jones 2004-09-13 19:39:04 EDT
This may be related to bug #132488.
Comment 2 Joe Orton 2005-03-02 10:00:51 EST
This is a consequence of the logic to check for post_config hook
second-pass.

Note You need to log in before you can comment on or make changes to this bug.